cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files/b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_note_file(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderNoteFile(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderNoteFile(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteFile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteFile> response = client.orders().getOrderNoteFile(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderNoteFileAsync(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderNoteFile(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderNoteFile(context.Background(), "ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"file": {
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Orders
Retrieve an order note file
Returns one file attached to an order note, under file.
GET
/
orders
/
{order_id}
/
notes
/
{order_note_id}
/
files
/
{order_file_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes/note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d/files/b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_note_file(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderNoteFile(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderNoteFile(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteFile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteFile> response = client.orders().getOrderNoteFile(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderNoteFileAsync(
"ORD-0001",
"note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d",
"b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderNoteFile(
'ORD-0001',
'note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d',
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderNoteFile(context.Background(), "ORD-0001", "note_3f2b8c1d9e4a4f6b8c2d1e0f9a8b7c6d", "b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d0e", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"file": {
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Pass the order’s
id, the note’s id and the file’s uuid from the note’s attachments. The response holds the file’s filename, content_type, size and href.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The note's id, from the create call or the notes listing.
The attachment's uuid, from the note's attachments.
Response
The file, under file.
Show child attributes
Show child attributes